DNIE-TOOL(1)

NAME
dnie-tool - displays information about DNIe based security tokens

SYNOPSIS

dnie-tool [OPTIONS]

DESCRIPTION

The dnie-tool utility is used to display additional information about DNIe, the Spanish National eID card.

OPTIONS

--idesp, -i
    Show the DNIe IDESP value.

--data, -d
    Show DNIe personal information. Reads and print DNIe number and User Name and SurName

--all, -a
    Displays every available information. This command is equivalent to -d -i -V -s

--serial, -s
    Displays DNIe Serial Number

--version, -V
    Show DNIe sw version. Displays software version for in-card DNIe OS

--pin pin, -p pin
    These options can be used to specify the PIN value on the command line. If the value is set to env:VARIABLE, the value of the specified environment variable is used. By default, the code is prompted on the command line if needed.

    Note that on most operation systems, any user can display the command line of any process on the system using utilities such as ps(1). Therefore, you should prefer passing the codes via an environment variable on an unsecured system.

--reader arg, -r arg
    Number of the reader to use. By default, the first reader with a present card is used. If arg is an ATR, the reader with a matching card will be chosen.

--wait, -w
    Causes dnie-tool to wait for the token to be inserted into reader.

--verbose, -v
    Causes dnie-tool to be more verbose. Specify this flag several times to enable debug output in the opensc library.

AUTHORS

dnie-tool was written by Juan Antonio Martinez <jonsito@terra.es>.